import $axios from '../index'

const searchApi = {
  keywordSuggestApi: '/api/search/suggest',
  videoSearchApi: '/api/search/query'
}

// 关键词建议
export function keywordSuggest(keyword) {
  return $axios.get(searchApi.keywordSuggestApi + '?k=' + keyword)
}

// 视频搜索
export function videoQuery(keyword, page) {
  return $axios.get(searchApi.videoSearchApi + '?keyword=' + keyword + '&page=' + page)
}
